AOZ Studio Beta - Bug #71

Rainbow Colours
01/22/2020 12:57 PM - Nick Morison

Status: Closed Start date: 01/22/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: 0.9.4

Affected version: 0.9.3.1

Description

Rainbow Colours are wrong also, Aoz doesn't seem to be taking into account the last quotes in the set rainbow command
i.e the below should produce a blue rainbow, but instead it's red:

#manifest:"amiga"
#splashScreen:false

Set Rainbow O0,1,1e6,"","","(1,1,15)"
Rainbow 0,56,1,255

Curs Off : Flash Off

History

#1 - 01/22/2020 11:05 PM - Baptiste Pillot

- Assignee changed from Nick Morison to Francois Lionet

#2 - 01/23/2020 07:25 PM - Baptiste Pillot

e source : https://www.amos2.fr/ide/Amos2/Ide/Program/433
e run : https://www.amos2.fr/run/tickleman/71/

Could not reproduce the exact problem. On my side, | never see a rainbow work, sorry. Strange.
(here my window stays black).

Perhaps could you join your manifest.hson to this issue ? Thanks.
#3 - 02/03/2020 06:17 PM - Francois Lionet

- Status changed from New to Resolved

- Target version set to 0.9.4

Corrected. Rainbows now work just like on the Amiga, and speed seems to be correct despite a massive remap of the display canvas...

#4 - 02/05/2020 12:42 PM - Nick Morison

Colours seem to be working fine now :)

#5 - 03/07/2020 11:43 AM - Baptiste Pillot
- Description updated

- Status changed from Resolved to Closed

Confirmed working using the 'amiga’ manifest.
Ok.

#6 - 10/04/2020 09:20 PM - Brian Flanagan
- File bug71.png added

Re-tested in Beta RC3.
This no longer works.
See new attachment.
Files

bug71.png 43.2 KB 10/04/2020 Brian Flanagan
